local gr = love.graphics

function love.load()
	love.window.setMode( 600, 600 )
	love.window.setTitle( 'Earth Days Simulator' )
	angle = 0
	ma = 0
	center = { x = gr.getWidth()/2, y = gr.getHeight()/2 }
	end

function love.update( dt )
	angle	= angle + dt*math.pi/100
	angle	= angle%(2*math.pi)
	ma		= ma+1*dt
	x, y	= orbit(center.x,center.y,150,angle)
	mx,my	= orbit(x,y,10,ma)
	end

function love.draw()
	gr.setColor( 255, 222, 0 )
	gr.circle( 'fill', center.x, center.y, 30 )
	gr.setColor( 76, 146, 255 )
	gr.circle( 'fill', x, y, 5 )
	gr.setColor( 255, 255, 255 )
	gr.circle('fill',mx,my,2)
	gr.print('Day '..math.floor( angle*58.3 ), x+10, y-7 )
	end

function love.keypressed( key )
	if key == "escape"	then love.event.quit() end
	end

function orbit( cx, cy, r, an )
	local x = r * math.cos( an ) + cx
	local y = r * math.sin( an ) + cy
	return x,y
	end

